Zernio
Zernio
API Reference

Branded Calling

List pre-approved call reasonsGETList registered businessesGETList caller identitiesGETList the numbers on a caller identityGETRegister a business for Branded CallingPOSTCreate a caller identityPOSTGet a registered businessGETGet a caller identityGETEdit or resubmit a caller identityPATCHDelete a registered businessDELETEDelete a caller identityDELETEAttach numbers to a verified identityPOSTConfirm the authorizer's codePOSTDetach numbers from an identityDELETEResend the authorizer's codePOST
Dashboard
llms.txtOpenAPI
OverviewPlatformsAPI ReferenceResources
Branded Calling

List registered businesses


GET
/v1/branded-calling/enterprises

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Response Body

application/json

application/json

import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.brandedcalling.listBrandedCallingEnterprises();console.log(data);
{  "enterprises": [    {      "id": "string",      "legalName": "string",      "doingBusinessAs": "string",      "organizationType": "commercial",      "organizationLegalType": "corporation",      "countryCode": "US",      "jurisdictionOfIncorporation": "string",      "website": "string",      "feinLast4": "string",      "industry": "string",      "numberOfEmployees": "1-10",      "organizationContact": {        "firstName": "string",        "lastName": "string",        "email": "user@example.com",        "jobTitle": "string",        "phoneNumber": "string"      },      "billingContact": {        "firstName": "string",        "lastName": "string",        "email": "user@example.com",        "jobTitle": "string",        "phoneNumber": "string"      },      "physicalAddress": {        "streetAddress": "string",        "extendedAddress": "string",        "city": "string",        "administrativeArea": "string",        "postalCode": "string",        "country": "string"      },      "billingAddress": {        "streetAddress": "string",        "extendedAddress": "string",        "city": "string",        "administrativeArea": "string",        "postalCode": "string",        "country": "string"      },      "registered": true,      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
Was this page helpful?

List pre-approved call reasons

The carrier catalogue of call reasons that pass vetting automatically. Any other wording is allowed on an identity but is vetted by hand.

List caller identities

Next Page